summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author David Somero <dsomero@hotmail.com>2010-05-13 00:59:10 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:59:10 +0200
commitaa6c42f5c8ef04d72bb1011112bc6fba4c63e0dd (patch)
treedbcc39872ec623c01ba59326666dedf340d35cb8 /libraries
parent1dadb6474bc61dfbfd9deb704557b3c4281052bf (diff)
downloadslackbuilds-aa6c42f5c8ef04d72bb1011112bc6fba4c63e0dd.tar.gz
slackbuilds-aa6c42f5c8ef04d72bb1011112bc6fba4c63e0dd.tar.xz
libraries/perl-Tie-IxHash: Added to 13.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/perl-Tie-IxHash/README6
-rw-r--r--libraries/perl-Tie-IxHash/perl-Tie-IxHash.SlackBuild89
-rw-r--r--libraries/perl-Tie-IxHash/perl-Tie-IxHash.info10
-rw-r--r--libraries/perl-Tie-IxHash/slack-desc19
4 files changed, 124 insertions, 0 deletions
diff --git a/libraries/perl-Tie-IxHash/README b/libraries/perl-Tie-IxHash/README
new file mode 100644
index 0000000000..5c676e2935
--- /dev/null
+++ b/libraries/perl-Tie-IxHash/README
@@ -0,0 +1,6 @@
+If you have been led to believe that associative arrays in perl
+don't preserve order, and if you have ever craved for that feature,
+this module is for you. Simply declare a "tie" for the hash variable
+that you want to be order-preserving, and forget that limitation ever
+existed. You can do other nifty things with the tied hash object that
+you may be used to doing with arrays, like Push(), Pop() and Splice().
diff --git a/libraries/perl-Tie-IxHash/perl-Tie-IxHash.SlackBuild b/libraries/perl-Tie-IxHash/perl-Tie-IxHash.SlackBuild
new file mode 100644
index 0000000000..285c34c878
--- /dev/null
+++ b/libraries/perl-Tie-IxHash/perl-Tie-IxHash.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for perl-Tie-IxHash
+
+# Copyright 2009 David Somero (dsomero@hotmail.com) Athens,TN USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Tie-IxHash
+VERSION=${VERSION:-1.21}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_PRGNAM=Tie-IxHash
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="Changes README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRC_PRGNAM-$VERSION
+tar xvf $CWD/$SRC_PRGNAM-$VERSION.tar.gz
+cd $SRC_PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL INSTALLDIRS=vendor
+make
+make test
+make install DESTDIR=$PKG
+
+mv $PKG/usr/share/man $PKG/usr/
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Remove perllocal.pod and other special files that don't need to be installed
+( cd $PKG
+ find . -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+ find . -depth -type d -empty -delete
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-Tie-IxHash/perl-Tie-IxHash.info b/libraries/perl-Tie-IxHash/perl-Tie-IxHash.info
new file mode 100644
index 0000000000..de52dcddf7
--- /dev/null
+++ b/libraries/perl-Tie-IxHash/perl-Tie-IxHash.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Tie-IxHash"
+VERSION="0.28"
+HOMEPAGE="http://search.cpan.org/dist/Tie-IxHash"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GS/GSAR/Tie-IxHash-1.21.tar.gz"
+MD5SUM="567ddc13081596b52cfe3d82218cb264"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="rworkman"
diff --git a/libraries/perl-Tie-IxHash/slack-desc b/libraries/perl-Tie-IxHash/slack-desc
new file mode 100644
index 0000000000..be02db0726
--- /dev/null
+++ b/libraries/perl-Tie-IxHash/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Tie-IxHash: perl-Tie-IxHash (implements ordered in-memory associative arrays)
+perl-Tie-IxHash:
+perl-Tie-IxHash: If you have been led to believe that associative arrays in perl
+perl-Tie-IxHash: don't preserve order, and if you have ever craved for that feature,
+perl-Tie-IxHash: this module is for you. Simply declare a "tie" for the hash variable
+perl-Tie-IxHash: that you want to be order-preserving, and forget that limitation ever
+perl-Tie-IxHash: existed. You can do other nifty things with the tied hash object that
+perl-Tie-IxHash: you may be used to doing with arrays, like Push(), Pop() and Splice().
+perl-Tie-IxHash:
+perl-Tie-IxHash: Homepage: http://search.cpan.org/dist/Tie-IxHash/
+perl-Tie-IxHash: